ros-rolling-quality-of-service-demo-cpp (0.37.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Sep 2025 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.37.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.37.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 22 Jun 2025 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.37.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.36.0-1noble) noble; urgency=high

  * Uniform CMAKE min VERSION (#714 <https://github.com/ros2/demos/issues/714>)
    demo_nodes_cpp/CMakeLists.txt require cmake min version 3.12 other modules cmake 3.5.
    It is proposed to standardize with version 3.12.
    This also fixes cmake <3.10 deprecation warnings
  * Contributors: mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.35.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.35.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.34.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.34.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.34.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.33.2-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#665 <https://github.com/ros2/demos/issues/665>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.33.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.33.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.32.1-1noble) noble; urgency=high

  * Explicit time conversion (#657 <https://github.com/ros2/demos/issues/657>)
  * Contributors: AiVerisimilitude

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.32.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.31.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.31.0-1noble) noble; urgency=high

  * Cleanup the interactive quality of service demos. (#637 <https://github.com/ros2/demos/issues/637>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.30.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.30.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jun 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.29.0-1noble) noble; urgency=high

  * More quality of service demo cleanup (#632 <https://github.com/ros2/demos/issues/632>)
  * Fix small typos in the incompatible_qos demos. (#629 <https://github.com/ros2/demos/issues/629>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.28.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.28.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.27.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.26.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.25.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.24.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.24.0-1noble) noble; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.23.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.22.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.20.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.20.0-1noble) noble; urgency=high

  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.19.0-1noble) noble; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.18.0-1noble) noble; urgency=high

  * Fixes for uncrustify 0.72 (#545 <https://github.com/ros2/demos/issues/545>)
  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.17.0-1noble) noble; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.16.0-1noble) noble; urgency=high

  * Initialize message correctly (#522 <https://github.com/ros2/demos/issues/522>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.15.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 May 2021 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.14.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.14.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.14.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.13.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Mar 2021 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.12.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.12.0-1noble) noble; urgency=high

  * Add demo of how to use qos overrides (#474 <https://github.com/ros2/demos/issues/474>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.11.0-1noble) noble; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.10.1-1noble) noble; urgency=high

  * Update comments in quality_of_service_demo_cpp message_lost_talker and message_lost_listener (#458 <https://github.com/ros2/demos/issues/458>)
  * Add message lost status event demo using rclcpp (#453 <https://github.com/ros2/demos/issues/453>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Jun 2020 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.9.1-1noble) noble; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 May 2020 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.9.0-1noble) noble; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jaison Titus

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.8.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.8.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 10 Nov 2019 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Nov 2019 23:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.8.1-1noble) noble; urgency=high

  * get_actual_qos() now returns a rclcpp::QoS (#395 <https://github.com/ros2/demos/issues/395>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.8.0-1noble) noble; urgency=high

  * Add interactive quality of service demos (#371 <https://github.com/ros2/demos/issues/371>)
  * Contributors: M. M

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.7.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.7.5-1noble) noble; urgency=high

  * Be explicit about reliability in Lifespan demo, to depend less on defaults (#350 <https://github.com/ros2/demos/issues/350>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-rolling-quality-of-service-demo-cpp (0.7.4-1noble) noble; urgency=high

  * rclcpp QoS Demos (Liveliness, Lifespan, Deadline) (#320 <https://github.com/ros2/demos/issues/320> and #338 <https://github.com/ros2/demos/issues/338>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000


